 	.386
	.model	use32 small

	extrn	allerr : proc
	public	_hypot
	.data
nm	db	"hypot",0
t	dq	3.0
f	dq	4.0

	.code
_hypot:
	push	ebp
	mov	ebp,esp
	lea	ecx,[ebp+8]
	lea	edx,[ebp+16]
	fld	qword ptr [ecx]
	fld 	st(0)
	fmulp	st(1)
	fld	qword ptr [edx]
	fld 	st(0)
	fmulp	st(1)
	faddp	st(1)
	fsqrt
	lea	eax,[nm]
	call	allerr
	leave
	ret
	end